<?php
/**
 *
 * DO NOT EDIT THIS FILE!
 *
 * Place your custom settings in a file config_override.php to make sure those settings do not get lost with an update.
 *
 *
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */


// no direct access
defined('_JEXEC') or die('Restricted access');

define('COM_EVENTGALLERY_ALLOWED_FILE_EXTENSIONS', ['jpg', 'gif', 'png', 'jpeg']);

if (file_exists(JPATH_ROOT.'/components/com_eventgallery/config_override.php')) {
	require_once JPATH_ROOT.'/components/com_eventgallery/config_override.php';
}

// defines the path to the image source folder
if (!defined ('COM_EVENTGALLERY_IMAGE_FOLDER_PATH')) {
	define('COM_EVENTGALLERY_IMAGE_FOLDER_PATH', JPATH_ROOT . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'eventgallery' . DIRECTORY_SEPARATOR);
}

// defines the path to the image cache folder
if (!defined('COM_EVENTGALLERY_IMAGE_CACHE_PATH')) {
	define('COM_EVENTGALLERY_IMAGE_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery_images' . DIRECTORY_SEPARATOR));
}

// defines the webpath to the cache directory
if (!defined('COM_EVENTGALLERY_IMAGE_CACHE_WEB_PATH')) {
    define('COM_EVENTGALLERY_IMAGE_CACHE_WEB_PATH', 'cache/com_eventgallery_images');
}

// defines the path to the picasa xml cache folder
if (!defined('COM_EVENTGALLERY_PICASA_CACHE_PATH')) {
	define('COM_EVENTGALLERY_PICASA_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery_picasa' . DIRECTORY_SEPARATOR));
}

// defines the path to the picasa xml cache folder
if (!defined('COM_EVENTGALLERY_GOOGLE_PHOTOS_CACHE_PATH')) {
    define('COM_EVENTGALLERY_GOOGLE_PHOTOS_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery_googlephotos' . DIRECTORY_SEPARATOR));
}

// defines the path to the flickr cache folder
if (!defined('COM_EVENTGALLERY_FLICKR_CACHE_PATH')) {
	define('COM_EVENTGALLERY_FLICKR_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery_flickr' . DIRECTORY_SEPARATOR));
}

// defines the path to the xml cache folder
if (!defined('COM_EVENTGALLERY_GENERAL_CACHE_PATH')) {
	define('COM_EVENTGALLERY_GENERAL_CACHE_PATH', preg_replace('/administrator[\/\\\\]+/', '', JPATH_CACHE . DIRECTORY_SEPARATOR . 'com_eventgallery' . DIRECTORY_SEPARATOR));
}

// maximum available image size This is used mostly for the images in the lightbox.
if (!defined('COM_EVENTGALLERY_IMAGE_ORIGINAL_MAX_WIDTH')) {
	define('COM_EVENTGALLERY_IMAGE_ORIGINAL_MAX_WIDTH', 1600);
}

/**
 * Defines how long to cache Google results for images. Since the image urls are only valid for 60 minutes and sometimes we
 * get urls which are not new, we need to keep this value as short as possible. But also as long as possible to avoid too many requests
 * to the Google Servers.
 */
if (!defined('COM_EVENTGALLERY_GOOGLE_PHOTOS_IMAGE_CACHE_LIFETIME')) {
    define('COM_EVENTGALLERY_GOOGLE_PHOTOS_IMAGE_CACHE_LIFETIME', 600);
}

/**
 * Defines how long we cache a list of albums. This value is used for the album selector in the back end.
 */
if (!defined('COM_EVENTGALLERY_GOOGLE_PHOTOS_ALBUMS_CACHE_LIFETIME')) {
    define('COM_EVENTGALLERY_GOOGLE_PHOTOS_ALBUMS_CACHE_LIFETIME', 300);
}

// defines the size of the cart thumbnails.
if (!defined('COM_EVENTGALLERY_IMAGE_THUMBNAIL_IN_CART_WIDTH')) {
    define('COM_EVENTGALLERY_IMAGE_THUMBNAIL_IN_CART_WIDTH', 150);
}

// defines the size of the minicart thumbnails.
if (!defined('COM_EVENTGALLERY_IMAGE_THUMBNAIL_IN_MINICART_WIDTH')) {
    define('COM_EVENTGALLERY_IMAGE_THUMBNAIL_IN_MINICART_WIDTH', 48);
}

// folder name for original images
if (!defined('COM_EVENTGALLERY_IMAGE_ORIGINAL_SUBFOLDER')) {
    define('COM_EVENTGALLERY_IMAGE_ORIGINAL_SUBFOLDER', 'originals');
}

// the content of the .htaccess file
if (!defined('COM_EVENTGALLERY_IMAGE_PROTECTION_HTACCESS')) {
    define('COM_EVENTGALLERY_IMAGE_PROTECTION_HTACCESS', "order deny,allow\ndeny from all");
}

// the content of the web.config file
if (!defined('COM_EVENTGALLERY_IMAGE_PROTECTION_WEB_CONFIG')) {
    define('COM_EVENTGALLERY_IMAGE_PROTECTION_WEB_CONFIG', "<?xml version=\"1.0\" encoding=\"utf-8\" ?>
<configuration>
    <system.web>
        <authorization>
            <deny users=\"*\"/>
        </authorization>
    </system.web>
</configuration>");
}

// the content of the index.html file
if (!defined('COM_EVENTGALLERY_IMAGE_PROTECTION_INDEX_HTML')) {
    define('COM_EVENTGALLERY_IMAGE_PROTECTION_INDEX_HTML', "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>");
}

// set the name of the image which is used for a redirect in case an image is not visible for the current user
if (!defined('COM_EVENTGALLERY_IMAGE_NO_ACCESS')) {
    define('COM_EVENTGALLERY_IMAGE_NO_ACCESS', 'media/com_eventgallery/frontend/images/locked.png');
}

// defines the path to the google photos loading spinner. The name needs to be exactly gp.svg, but you can change the path.
if (!defined('COM_EVENTGALLERY_GOOGLEPHOTOS_LOADING_IMAGE_PATH')) {
    define('COM_EVENTGALLERY_GOOGLEPHOTOS_LOADING_IMAGE_PATH', 'media/com_eventgallery/frontend/images');
}

